"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerDieEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player dies, either by being murdered or being exiled. Unlike
 * {@link PlayerMurderEvent}, this event can be reverted to bring the player back
 * to life, but note that their body will not be removed due to technical
 * limitations.
 */
class PlayerDieEvent extends events_1.RevertableEvent {
    constructor(room, player, 
    /**
     * Whether or not the player died by being exiled. SkeldJS only uses
     * 'murder' or 'exile', although this can be anything.
     */
    reason) {
        super();
        this.room = room;
        this.player = player;
        this.reason = reason;
        this.eventName = "player.die";
    }
}
exports.PlayerDieEvent = PlayerDieEvent;
PlayerDieEvent.eventName = "player.die";
//# sourceMappingURL=Die.js.map