import { BasicEvent } from "@skeldjs/events";
import { QuickChatMessageData, SendQuickChatMessage } from "@skeldjs/protocol";
import { RoomEvent } from "../RoomEvent";
import { ProtocolEvent } from "../ProtocolEvent";
import { PlayerEvent } from "./PlayerEvent";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
/**
 * Emitted when a player sends a quick chat message. See {@link PlayerSendChatEvent}
 * to litsen for normal chat messages.
 *
 * Due to technical impossibilities, this event cannot be canceled or reverted.
 */
export declare class PlayerSendQuickChatEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, PlayerEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    readonly message: SendQuickChatMessage | undefined;
    /**
     * The message that the player sent.
     */
    readonly chatMessage: QuickChatMessageData;
    static eventName: "player.quickchat";
    eventName: "player.quickchat";
    constructor(room: RoomType, player: PlayerData<RoomType>, message: SendQuickChatMessage | undefined, 
    /**
     * The message that the player sent.
     */
    chatMessage: QuickChatMessageData);
}
